use crate::http;

pub fn connection_handler(client: &mut http::HttpStream, req: &http::Request) {
    client.server_keep_alive = false;
    let mut res = http::Response::new();

    if let http::Method::GET = req.method {
    } else {
        res.status(405);
        res.add_header("Allow", "GET");
        res.send(&mut client.stream);
        return;
    }

    // TODO implement websocket
    res.status(501);
    res.send(&mut client.stream);
}
